package com.sd.business.entity.production.po;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * <p>
 * 生产超领sku
 * </p>
 *
 * @author
 * @since 2023-11-09
 */
@Getter
@Setter
@TableName("production_exceed_receive_sku")
public class ProductionExceedReceiveSku extends BasePo {

    /**
     * 订单生产超领id
     */
    private Long productionExceedReceiveId;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 订单sku id
     */
    @NotNull(message = "订单sku id不能为空")
    private Long orderSkuId;

    /**
     * sku规格id
     */
    @NotNull(message = "sku规格id不能为空")
    private Long skuSpecId;

    /**
     * 异常sku规格id
     */
    private Long exceptionSkuSpecId;

    /**
     * 数量
     */
    @ExcelProperty(value = "超领数量", index = 6)
    @NotNull(message = "数量不能为空")
    private BigDecimal quantity;

    /**
     * 仓库id
     */
    private Long warehouseId;
}
