package com.sd.business.service.board;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.board.dto.DailyBoardSelectDto;
import com.sd.business.entity.board.dto.SalesBoardSelectDto;
import com.sd.business.entity.board.vo.*;

import java.util.List;

/**
 * <p>
 * 销售看板 服务类
 * </p>
 *
 * @author
 * @since 2023-11-16
 */
public interface SalesBoardService {

    /**
     * 获取sku销量排名列表分页
     * @param dto
     * @return
     */
    Page<SkuSalesRankingVo> getSkuSalesRankingPage(SalesBoardSelectDto dto);

    /**
     * 获取sku销售额排名列表分页
     * @param dto
     * @return
     */
    Page<SkuSalesAmountRankingVo> getSkuSalesAmountRankingPage(SalesBoardSelectDto dto);

    /**
     * 获取bom销量排名列表分页
     * @param dto
     * @return
     */
    Page<BomSalesRankingVo> getBomSalesRankingPage(SalesBoardSelectDto dto);

    /**
     * 获取bom销售额排名列表分页
     * @param dto
     * @return
     */
    Page<BomSalesAmountRankingVo> getBomSalesAmountRankingPage(SalesBoardSelectDto dto);

    /**
     * 获取sku销售地区排名列表分页
     * @param dto
     * @return
     */
    Page<SkuSalesRegionRankingVo> getSkuSalesRegionRankingPage(SalesBoardSelectDto dto);

    /**
     * 获取sku销量增长率排名列表分页
     * @param dto
     * @return
     */
    Page<SkuSalesGrowthRateRankingVo> getSkuSalesGrowthRateRankingPage(SalesBoardSelectDto dto);

    /**
     * 各事业部bom销量统计列表
     * @return
     */
    List<DepartmentBomSalesBoardVo> getDepartmentBomSalesStatisticsList(DailyBoardSelectDto dto);

    /**
     * 获取佰卓sku销量前十
     * @return
     */
    List<BzSkuSalesBoardVo> getBzSkuSalesBoard();
}
